cutlass::detail Namespace Reference

## Functions

template<typename T >
CUTLASS_HOST_DEVICE bool | relatively_equal_float (T a, T b, T epsilon, T nonzero_floor)
template<typename Element , typename Layout >
std::ostream & | TensorView_WriteLeastSignificantRank (std::ostream &out, TensorView< Element, Layout > const &view, Coord< Layout::kRank > const &start_coord, int rank, std::streamsize width)
| Helper to write the least significant rank of a TensorView. More...
template<typename Element , typename Layout >
std::ostream & | TensorView_WriteRank (std::ostream &out, TensorView< Element, Layout > const &view, Coord< Layout::kRank > const &start_coord, int rank, std::streamsize width)
| Helper to write a rank of a TensorView. More...

## Function Documentation

template<typename T >

CUTLASS_HOST_DEVICE bool cutlass::detail::relatively_equal_float | ( | T | a,
|  | T | b,
|  | T | epsilon,
|  | T | nonzero_floor
| ) |  |

template<typename Element , typename Layout >

std::ostream& cutlass::detail::TensorView_WriteLeastSignificantRank | ( | std::ostream & | out,
|  | TensorView< Element, Layout > const & | view,
|  | Coord< Layout::kRank > const & | start_coord,
|  | int | rank,
|  | std::streamsize | width
| ) |  |

inline

template<typename Element , typename Layout >

std::ostream& cutlass::detail::TensorView_WriteRank | ( | std::ostream & | out,
|  | TensorView< Element, Layout > const & | view,
|  | Coord< Layout::kRank > const & | start_coord,
|  | int | rank,
|  | std::streamsize | width
| ) |  |

inline